Bug 50765 - ucs-school-umc-exam/conffiles/etc/cron.d/ucs-school-umc-exam-master is also executed on DC backup
ucs-school-umc-exam/conffiles/etc/cron.d/ucs-school-umc-exam-master is also e...
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Exam mode
UCS@school 4.4
Other Linux
: P5 normal (vote)
: UCS@school 4.4 v4-errata
Assigned To: Tobias Wenzel
Sönke Schwardt-Krummrich
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-31 16:45 CET by Sönke Schwardt-Krummrich
Modified: 2020-02-13 21:42 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2020-01-31 16:45:13 CET
The cron job ucs-school-umc-exam/conffiles/etc/cron.d/ucs-school-umc-exam-master is also executed on DC backup systems since the master's meta package ucs-school-master is also installed on DC backup systems.

Usually the UCS system's time is NTP synchronized →
all DC Master and DC Backup start this cron job at the same time to stop existing exams. Therefore several processes make LDAP changes simultaneously which already caused trouble on customer systems (tracebacks).
Comment 1 Tobias Wenzel univentionstaff 2020-02-07 11:35:24 CET
Fixed by making sure the server/role is dc master in 
ucs-school-umc-exam/conffiles/etc/cron.d/ucs-school-umc-exam
and printing 'Skipping exam-and-room-cleanup on backup.' otherwise.
Comment 2 Tobias Wenzel univentionstaff 2020-02-11 11:28:46 CET
[4.4 14efdf3f4] Bug #50765: Add server/role variable to ucs-school-umc-exam-master.univention-config-registry and ucs-school-import.univention-config-registry.

Package: ucs-school-umc-exam
Version: 9.0.1-29A~4.4.0.202002111005
Branch: ucs_4.4-0
Scope: ucs-school-4.4
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2020-02-11 13:52:39 CET
OK: functional change
OK: code change
OK: installation
OK: update
--: ucs-test
OK: changelog entry
UPDATED: advisory
OK: package built and installable
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2020-02-13 21:42:37 CET
UCS@school 4.4 v4 has been released.

https://docs.software-univention.de/changelog-ucsschool-4.4v4-de.html

If this error occurs again, please clone this bug.